Bug 999735 - (CVE-2013-4271) CVE-2013-4271 Restlet: remote code execution due to insecure deserialization
CVE-2013-4271 Restlet: remote code execution due to insecure deserialization
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20130907,repo...
: Security
Depends On: 1012733
Blocks: 996321 999736 1015403
  Show dependency treegraph
 
Reported: 2013-08-21 21:32 EDT by David Jorm
Modified: 2014-10-20 20:05 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-19 19:16:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jorm 2013-08-21 21:32:47 EDT
A flaw was found in the way Restlet handled deserialization. Restlet applications which use ObjectRepresentation to map HTTP request data directly to an object will deserialize arbitrary user-provided serialized data. A remote attacker could use this flaw to trigger the execution of the deserialization methods in any serializable class deployed on the server. This could lead to a variety of security impacts depending on the deserialization logic of these classes.
Comment 2 Arun Babu Neelicattu 2013-08-22 01:20:14 EDT
Acknowledgements:

This issue was discovered by David Jorm of the Red Hat Security Response Team.
Comment 3 David Jorm 2013-08-22 03:59:43 EDT
External References:

http://restlet.org/learn/2.1/changes

Upstream bug:

https://github.com/restlet/restlet-framework-java/issues/778
Comment 4 David Jorm 2013-09-26 22:06:06 EDT
This flaw is resolved in restlet 2.1.4, by disabling the vulnerable use cases.
Comment 5 errata-xmlrpc 2013-10-07 13:19:08 EDT
This issue has been addressed in following products:

  Red Hat JBoss Fuse 6.0.0

Via RHSA-2013:1410 https://rhn.redhat.com/errata/RHSA-2013-1410.html
Comment 6 errata-xmlrpc 2013-12-19 17:50:49 EST
This issue has been addressed in following products:

  Fuse ESB Enterprise 7.1.0

Via RHSA-2013:1862 https://rhn.redhat.com/errata/RHSA-2013-1862.html

Note You need to log in before you can comment on or make changes to this bug.